Bug 983841 - [REGRESSION] Doesn't boot kernel since 3.11 on ThinkPad X230 in UEFI mode
[REGRESSION] Doesn't boot kernel since 3.11 on ThinkPad X230 in UEFI mode
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 01:23 EDT by Igor Gnatenko
Modified: 2013-08-18 01:11 EDT (History)
8 users (show)

See Also:
Fixed In Version: 3.11.0-0.rc4.git0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-18 01:11:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
# fpaste --sysinfo (12.39 KB, text/plain)
2013-07-12 01:23 EDT, Igor Gnatenko
no flags Details
Kernel panic Trace (1.03 MB, image/jpeg)
2013-07-13 12:00 EDT, Igor Gnatenko
no flags Details

  None (edit)
Description Igor Gnatenko 2013-07-12 01:23:11 EDT
Created attachment 772534 [details]
# fpaste --sysinfo

Description of problem:
On my ThinkPad-X230 doesn't boot kernels later or equal 3.11

How reproducible:
always

Steps to Reproduce:
1. Install 3.11 kernel from koji (kernel and kernel-modules-extra)
2. Reboot

Actual results:
Black screen with "Secure boot not enabled"

Expected results:
system starts normally

Additional info:
I have latest UEFI version.
I use UEFI w/o secure boot.
On kernels earlier or equal 3.10 I have black screen with "Secure boot not enabled" less 1 second.
Comment 1 Igor Gnatenko 2013-07-12 11:56:02 EDT
In BIOS mode I don't have this problem.
Comment 2 Igor Gnatenko 2013-07-13 12:00:47 EDT
Created attachment 773101 [details]
Kernel panic Trace

I have tried noefi option and received kernel panic.
Comment 3 Igor Gnatenko 2013-07-13 13:09:19 EDT
Maybe https://lkml.org/lkml/2013/7/13/65 can fix my problem.
Comment 4 Igor Gnatenko 2013-07-13 14:06:25 EDT
Revert Matthew Garret patch fixes my problem.
Comment 5 Michele Baldessari 2013-08-17 18:28:29 EDT
Patch to revert it:
commit 8216a67eb5e92224b4509b7f55ec4891c9021fdb
Author: Matt Fleming <matt.fleming@intel.com>
Date:   Thu Jul 11 10:32:32 2013 +0100

    Revert "UEFI: Don't pass boot services regions to SetVirtualAddressMap()"
    
    This reverts commit 1acba98f810a14b1255e34bc620594f83de37e36.
    
    The firmware on both Dave's Thinkpad and Maarten's Macbook Pro appear to
    rely on the old behaviour, and their machines fail to boot with the
    above commit.
    
    Reported-by: Dave Young <dyoung@redhat.com>
    Reported-by: Maarten Lankhorst <maarten.lankhorst@canonical.com>
    Cc: Seth Forshee <seth.forshee@canonical.com>
    Cc: Matthew Garrett <matthew.garrett@nebula.com>
    Signed-off-by: Matt Fleming <matt.fleming@intel.com>

diff --git a/arch/x86/platform/efi/efi.c b/arch/x86/platform/efi/efi.c
index c8d5577..90f6ed1 100644
--- a/arch/x86/platform/efi/efi.c
+++ b/arch/x86/platform/efi/efi.c
@@ -931,13 +931,6 @@ void __init efi_enter_virtual_mode(void)
                        va = efi_ioremap(md->phys_addr, size,
                                         md->type, md->attribute);
 
-               if (!(md->attribute & EFI_MEMORY_RUNTIME)) {
-                       if (!va)
-                               pr_err("ioremap of 0x%llX failed!\n",
-                                      (unsigned long long)md->phys_addr);
-                       continue;
-               }
-
                md->virt_addr = (u64) (unsigned long) va;
 
                if (!va) {


Made it in v3.11-rc2. Did not yet hit linux-stable.

Note You need to log in before you can comment on or make changes to this bug.